# classes/phing/types/Reference.php

Class to hold a reference to another object in the project.

package
  phing.types

## \Reference
jump to top

Class to hold a reference to another object in the project.

package
  phing.types

### Properties

`$refid= ''`
Details

Type

### Methods

`__construct( $id = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$id |  |

`getRefId( ) :`
`getReferencedObject( $project ) :`
returns reference to object in references container of project
Parameters

Name | Type | Description
--- | --- | ---
$project |  |

`setRefId( $id ) :`
Parameters

Name | Type | Description
--- | --- | ---
$id |  |

Documentation was generated by DocBlox 0.13.1.